## rdf_fdw-2.4.0.zip

=== Makefile ===
MODULE_big = rdf_fdw
OBJS = rdf_fdw.o rdf_utils.o sparql.o rdfnode.o
EXTENSION = rdf_fdw
DOCS = README.md
DATA = rdf_fdw--2.4.sql rdf_fdw--2.3--2.4.sql \
       rdf_fdw--2.3.sql rdf_fdw--2.2--2.3.sql \
	   rdf_fdw--2.2.sql rdf_fdw--2.1--2.2.sql \
	   rdf_fdw--2.1.sql

RDF_CONFIG = pkg-config
CURL_CONFIG = curl-config
PG_CONFIG = pg_config

SHLIB_LINK := $(shell $(CURL_CONFIG) --libs)

PG_CPPFLAGS = $(shell xml2-config --cflags) \
	-DRDF_FDW_CC="\"$(CC)\"" \
	-DRDF_FDW_BUILD_DATE="\"$(shell date -u +'%Y-%m-%d %H:%M:%S UTC')\""

PGXS := $(shell $(PG_CONFIG) --pgxs)

MAJORVERSION := $(shell $(PG_CONFIG) --version | awk '{ \
  split($$2,v,"."); \
  if (v[1] < 10) printf("%d%02d", v[1], v[2]); \
  else print v[1] }')

REGRESS += create_extension \
			upgrade \
			create-server \
			create-foreign-table \
			create-user-mapping \
			version \
			rdfnode_in \
			rdfnode_eq \
			rdfnode_neq \
			rdfnode_lt \
			rdfnode_gt \
			rdfnode_le \
			rdfnode_ge \
			rdfnode_agg \
			rdfnode_cast \
			explain \
			pg_datatypes \
			sparql-functions \
			prefix-management

ifndef SKIP_UPDATE_TESTS
  REGRESS += fuseki-delete \
  			 fuseki-update \
			 fuseki-insert \
			 fuseki-select \
			 fuseki-table-clone \
			 fuseki-describe \
			 graphdb-delete \
			 graphdb-insert \
			 graphdb-update \
			 graphdb-select \
			 graphdb-table-clone \
			 graphdb-describe \
			 proxy \
			 proxy-auth
endif

ifndef SKIP_STRESS_TESTS
  REGRESS += fuseki-stress \
  		     graphdb-stress	
endif

ifndef SKIP_EXTERNAL_TESTS
  REGRESS += table-clone \
			 virtuoso-pgtypes-linkedgeodata \
			 virtuoso-rdfnode-linkedgeodata \
			 blazegraph-pgtypes-wikidata \
			 blazegraph-rdfnode-wikidata \
			 graphdb-pgtypes-getty \
			 describe
endif
$(info Running regression tests for MAJORVERSION=$(MAJORVERSION))

$(info Tests to run: $(REGRESS))

include $(PGXS)

=== debian/changelog ===
postgresql-rdf-fdw (2.3.0-1) UNRELEASED; urgency=medium

  * Initial Debian package release

 -- Jim Jones <jim.jones@uni-muenster.de>  Sat, 20 Dec 2025 12:32:11 +0100

=== debian/control ===
Source: postgresql-rdf-fdw
Section: database
Priority: optional
Maintainer: Jim Jones <jim.jones@uni-muenster.de>
Build-Depends: debhelper-compat (= 13),
               postgresql-all (>= 217~),
               postgresql-server-dev-all (>= 217~),
               libxml2-dev,
               libcurl4-gnutls-dev,
               pkg-config
Standards-Version: 4.6.2
Homepage: https://github.com/jimjonesbr/rdf_fdw
Vcs-Git: https://github.com/jimjonesbr/rdf_fdw.git
Vcs-Browser: https://github.com/jimjonesbr/rdf_fdw
Rules-Requires-Root: no

Package: postgresql-10-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-11-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-12-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-13-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-14-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-15-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-16-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-17-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

Package: postgresql-18-rdf-fdw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${postgresql:Depends},
         libxml2,
         libcurl4
Description: RDF Triplestore Foreign Data Wrapper for PostgreSQL
 rdf_fdw is a PostgreSQL Foreign Data Wrapper that enables seamless access
 to RDF triplestores via SPARQL endpoints. It supports pushdown of many SQL
 clauses and includes built-in implementations of most SPARQL 1.1 functions.
 .
 Features:
  * Access RDF triplestores via SPARQL endpoints
  * Pushdown of SQL clauses (WHERE, ORDER BY, LIMIT, etc.)
  * Support for SPARQL 1.1 functions
  * Custom RDF node data type
  * Data modification support (INSERT, UPDATE, DELETE)
  * Prefix management for SPARQL queries

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Skip tests that depend on external services
export SKIP_EXTERNAL_TESTS = 1
export SKIP_STRESS_TESTS = 1
export SKIP_UPDATE_TESTS = 1

# Include PostgreSQL build system
include /usr/share/postgresql-common/pgxs_debian_control.mk

debian/control: debian/control.in
	pg_buildext updatecontrol

%:
	dh $@ --with pgxs

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-rdf-fdw

override_dh_auto_clean:
	+pg_buildext clean build-%v
	dh_auto_clean
